GridPermissions

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.permissions.java
Class GridPermissions

    java.lang.Object
      org.openswing.swing.table.permissions.java.GridPermissions

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class GridPermissions
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Title: OpenSwing Framework

Description: Grid permissions descriptor: it contains: columns visibility state,columns editability (only for editable columns) in edit and insert modes and column mandatory (only for not required columns).

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary

`GridPermissions(java.lang.String functionId, java.lang.String username, java.lang.String[] columnsAttribute, boolean[] columnsVisibility, boolean[] columnsEditabilityInInsert, boolean[] columnsEditabilityInEdit, boolean[] columnsMandatory)`
Constructor.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String[]` | `getColumnsAttribute()`
`boolean[]` | `getColumnsEditabilityInEdit()`
`boolean[]` | `getColumnsEditabilityInInsert()`
`boolean[]` | `getColumnsMandatory()`
`boolean[]` | `getColumnsVisibility()`
`java.lang.String` | `getFunctionId()`
`java.lang.String` | `getUsername()`
`void` | `setColumnsAttribute(java.lang.String[] columnsAttribute)`
`void` | `setColumnsEditabilityInEdit(boolean[] columnsEditabilityInEdit)`
`void` | `setColumnsEditabilityInInsert(boolean[] columnsEditabilityInInsert)`
`void` | `setColumnsMandatory(boolean[] columnsMandatory)`
`void` | `setColumnsVisibility(boolean[] columnsVisibility)`
`void` | `setFunctionId(java.lang.String functionId)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridPermissions

    public GridPermissions(java.lang.String functionId,
                           java.lang.String username,
                           java.lang.String[] columnsAttribute,
                           boolean[] columnsVisibility,
                           boolean[] columnsEditabilityInInsert,
                           boolean[] columnsEditabilityInEdit,
                           boolean[] columnsMandatory)

  Constructor.

Parameters:
  `functionId` - identifier (functionId) associated to the grid
  `username` - permissions owner, i.e. the username of the current logged user
  `columnsAttribute` - list of grid columns; columns position is defined according to this array
  `columnsVisibility` - columns visibility state
  `columnsEditabilityInInsert` - columns editability in insert
  `columnsEditabilityInEdit` - columns editability in edit
  `columnsMandatory` - columns mandatory

Method Detail

### getColumnsEditabilityInInsert

    public boolean[] getColumnsEditabilityInInsert()

### getFunctionId

    public java.lang.String getFunctionId()

### getUsername

    public java.lang.String getUsername()

### getColumnsAttribute

    public java.lang.String[] getColumnsAttribute()

### getColumnsVisibility

    public boolean[] getColumnsVisibility()

### getColumnsEditabilityInEdit

    public boolean[] getColumnsEditabilityInEdit()

### equals

    public boolean equals(java.lang.Object o)

### clone

    public final java.lang.Object clone()

### setColumnsAttribute

    public void setColumnsAttribute(java.lang.String[] columnsAttribute)

### setColumnsVisibility

    public void setColumnsVisibility(boolean[] columnsVisibility)

### setColumnsEditabilityInEdit

    public void setColumnsEditabilityInEdit(boolean[] columnsEditabilityInEdit)

### setColumnsEditabilityInInsert

    public void setColumnsEditabilityInInsert(boolean[] columnsEditabilityInInsert)

### setFunctionId

    public void setFunctionId(java.lang.String functionId)

### getColumnsMandatory

    public boolean[] getColumnsMandatory()

### setColumnsMandatory

    public void setColumnsMandatory(boolean[] columnsMandatory)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD